package com.lz.modules.performance.service;

import com.lz.common.utils.PageUtils;
import com.lz.common.utils.R;
import com.lz.modules.flow.entity.FlowStart;
import com.lz.modules.performance.req.AssessChangeReq;
import com.lz.modules.performance.req.AssessDetailReq;
import com.lz.modules.performance.req.AssessListReq;
import com.lz.modules.performance.req.AssessToScoreReq;

/**
 * @Author: djc
 * @Desc:
 * @Date: 2020/10/22 17:27
 */
public interface AssessManagerService {

    PageUtils assessList(AssessListReq req);

    PageUtils assessDetail(AssessDetailReq req);

    void accessDelete(FlowStart flowStart);

    R assessChange(AssessChangeReq req);

    void toScore(AssessToScoreReq req);
}
